## luxio 7

=== Makefile ===
all: lua-5.1-try lua-5.2-try

install: lua-5.1-try-install lua-5.2-try-install

ifeq ($(strip $(shell which pkg-config > /dev/null || echo NONE)),NONE)
  $(error This makefile requires pkg-config)
endif

ifeq ($(strip $(shell which $(CC) > /dev/null || echo NONE)),NONE)
  $(info Luxio: Hmm, CC make variable contains nonsense.  Overriding to gcc.)
  CC := gcc
endif

# This isn't nice.  Find a nice way.
HOST_OS := $(shell uname -s)

ifeq ($(HOST_OS),Linux)
  EXTRA_LIBS := -lrt
else
  EXTRA_LIBS :=
endif

NAKED_LUA_VER := $(shell (pkg-config --exists lua && \
                          pkg-config --modversion lua || \
			  pkg-config --variable V lua) | cut -d. -f1-2)

# fine appropriate Lua interpreter
LUA_REPL := $(shell (which lua5.1 > /dev/null 2>&1 && echo lua5.1) || \
                    (which lua-5.1 > /dev/null 2>&1 && echo lua-5.1) || \
                    (which lua51  > /dev/null 2>&1 && echo lua51) || \
                    (lua -e"print(_VERSION)" | grep -q 5.1 && echo lua) || \
                    (which lua-5.2 > /dev/null 2>&1 && echo lua-5.2) || \
                    (which lua52 > /dev/null 2>&1 && echo lua52))

# find appropriate Lua libraries
LUA51_PKG := $(shell (pkg-config --exists lua5.1 && echo lua5.1) || \
                     (pkg-config --exists lua-5.1 && echo lua-5.1) || \
		     (pkg-config --exists lua51 && echo lua51) || \
                     (echo "NONE"))


LUA51_PKG := $(strip $(LUA51_PKG))

ifeq ($(LUA51_PKG),NONE)
  ifeq ($(NAKED_LUA_VER),5.1)
    LUA51_PKG := lua
  endif
endif

ifneq ($(LUA51_PKG),NONE)
  $(info Luxio: Lua 5.1 package name on this system is $(LUA51_PKG))
  LUA51_HAS_MODINST := $(shell test x`pkg-config --variable INSTALL_LMOD $(LUA51_PKG)` != x && echo YES)
  LUA51_INC := $(shell pkg-config --cflags $(LUA51_PKG))
  LUA51_LIB := $(shell pkg-config --libs $(LUA51_PKG))
  ifeq ($(LUA51_HAS_MODINST),)
    LOCAL := YES
  endif
  ifeq ($(LOCAL),)
    LUA51_LMOD_INST := $(shell pkg-config --variable=INSTALL_LMOD $(LUA51_PKG))
    LUA51_CMOD_INST := $(shell pkg-config --variable=INSTALL_CMOD $(LUA51_PKG))
  else
    LUA51_LMOD_INST := /usr/local/share/lua/5.1
    LUA51_CMOD_INST := /usr/local/lib/lua/5.1
  endif
  lua-5.1-try: lua-5.1
  lua-5.1-try-install: lua-5.1-install
else
lua-5.1-try:
	@echo Luxio: Lua 5.1 could not be found, so luxio was not built for it.
lua-5.1-try-install:
	@echo Luxio: Lua 5.1 could not be found, so luxio was not installed for it.
endif

LUA52_PKG := $(shell (pkg-config --exists lua5.2 && echo lua5.2) || \
                     (pkg-config --exists lua-5.2 && echo lua-5.2) || \
                     (pkg-config --exists lua52 && echo lua52) || \
                     (echo "NONE")) 

LUA52_PKG := $(strip $(LUA52_PKG))

ifeq ($(LUA52_PKG),NONE)
  ifeq ($(NAKED_LUA_VER),5.2)
    LUA52_PKG := lua
  endif
endif

ifneq ($(LUA52_PKG),NONE)
  $(info Luxio: Lua 5.2 package name on this system is $(LUA52_PKG))
  LUA52_HAS_MODINST := $(shell test x`pkg-config --variable INSTALL_LMOD $(LUA52_PKG)` != x && echo YES)
  LUA52_INC := $(shell pkg-config --cflags $(LUA52_PKG))
  LUA52_LIB := $(shell pkg-config --libs $(LUA52_PKG))
  ifeq ($(LUA52_HAS_MODINST),)
    LOCAL := YES
  endif
  ifeq ($(LOCAL),)
    LUA52_LMOD_INST := $(shell pkg-config --variable=INSTALL_LMOD $(LUA52_PKG))
    LUA52_CMOD_INST := $(shell pkg-config --variable=INSTALL_CMOD $(LUA52_PKG))
  else
    LUA52_LMOD_INST := /usr/local/share/lua/5.2
    LUA52_CMOD_INST := /usr/local/lib/lua/5.2
  endif
  lua-5.2-try: lua-5.2
  lua-5.2-try-install: lua-5.2-install
else
lua-5.2-try:
	@echo Luxio: Lua 5.2 could not be found, so luxio was not built for it.
lua-5.2-try-install:
	@echo Luxio: Lua 5.2 could not be found, so luxio was not installed for it.
endif


CFLAGS ?= -O2 -Wall
INSTALL := /usr/bin/install

LUALIBS := $(patsubst %,luxio/%.lua, \
	event simple subprocess)


clean:
	$(RM) *.so *.o luxio_constants.h luxio-5.1 luxio-5.2

luxio_constants.h: luxio_constants.h.in const-proc.lua
	$(LUA_REPL) ./const-proc.lua < $^ > $@

lua-5.1: luxio-5.1.so luxio-5.1
	ln -s -f luxio-5.1.so luxio.so

lua-5.1-install: lua-5.1
	$(INSTALL) -d $(DESTDIR)$(LUA51_CMOD_INST)
	$(INSTALL) -m 755 luxio-5.1.so $(DESTDIR)$(LUA51_CMOD_INST)/luxio.so
	$(INSTALL) -d $(DESTDIR)$(LUA51_LMOD_INST)/luxio
	$(INSTALL) -m 644 $(LUALIBS) $(DESTDIR)$(LUA51_LMOD_INST)/luxio/
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) luxio-5.1 $(DESTDIR)$(PREFIX)/bin/luxio-5.1

luxio-5.1.so: luxio-5.1.o
	$(CC) $(LDFLAGS) -shared -o luxio-5.1.so $^ $(LUA51_LIB) $(EXTRA_LIBS)

luxio-5.1: lua-5.1.c luxio-5.1.o
	$(CC) -o luxio-5.1 $(CFLAGS) $(LUA51_INC) $(LDFLAGS) lua-5.1.c luxio-5.1.o $(LUA51_LIB) $(EXTRA_LIBS)

lua-5.2: luxio-5.2.so luxio-5.2
	ln -s -f luxio-5.2.so luxio.so

lua-5.2-install: lua-5.2
	$(INSTALL) -d $(DESTDIR)$(LUA52_CMOD_INST)
	$(INSTALL) -m 755 luxio-5.2.so $(DESTDIR)$(LUA52_CMOD_INST)/luxio.so
	$(INSTALL) -d $(DESTDIR)$(LUA52_LMOD_INST)/luxio
	$(INSTALL) -m 644 $(LUALIBS) $(DESTDIR)$(LUA52_LMOD_INST)/luxio/
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) luxio-5.2 $(DESTDIR)$(PREFIX)/bin/luxio-5.2

luxio-5.2.so: luxio-5.2.o
	$(CC) $(LDFLAGS) -shared -o luxio-5.2.so $^ $(LUA52_LIB) $(EXTRA_LIBS)

luxio-5.2: lua-5.2.c luxio-5.2.o
	$(CC) -o luxio-5.2 $(CFLAGS) $(LDFLAGS) $(LUA52_INC) lua-5.2.c luxio-5.2.o $(LUA52_LIB) $(EXTRA_LIBS)

###

luxio-5.1.o: luxio.c luxio_constants.h 
	$(CC) $(CFLAGS) -fPIC $(LUA51_INC) -c $< -o $@

luxio-5.2.o: luxio.c luxio_constants.h
	$(CC) $(CFLAGS) -fPIC $(LUA52_INC) -c $< -o $@

## luxio 5

=== debian/changelog ===
luxio (5-1) unstable; urgency=low

  * New upstream version.
    - adds copyright information to files that were missing it
  * debian/copyright: Add copyright information for Debian packaging
    files.
  * debian/rules: Install binaries into /usr/bin, not /bin.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 11 Aug 2013 13:42:40 +0100

luxio (4-1) unstable; urgency=low

  * Initial packaging. (Closes: #706162)

 -- Lars Wirzenius <liw@liw.fi>  Sun, 30 Jun 2013 11:23:44 +0100

=== debian/control ===
Source: luxio
Maintainer: Lars Wirzenius <liw@liw.fi>
Uploaders: Daniel Silverstone <dsilvers@debian.org>
Section: interpreters
Priority: optional
Standards-Version: 3.9.3
Build-Depends: liblua5.1-dev, lua5.1, liblua5.2-dev, lua5.2,
    debhelper (>= 9.20120909~), pkg-config

Package: lua-luxio0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Posix bindings for Lua
 Lightweight UNIX I/O and POSIX binding for Lua
 .
  * Reasonably good coverage of POSIX and BSD Sockets, including IPv6,
    and some GNU extensions.
  * Low-level.  You get the return values and the errno for the bound
    functions where possible.  Others take a table to fill in, or
    may return tables.
  * High-level wrapper library providing nice IO access and to misc.
    utility functions.  Generates useful errors in assert()able form,
    and provides meaningful __tostring metamethods to aid debugging.
  * A high-level poll()-based event dispatch library.
  * Sub-process handling library (read/write io.popen with job control).
  * A prototype POSIX Message Queue-based IPC scheme that can serialise
    most simple Lua values.  (No closures, userdata, etc)
Homepage: http://www.rjek.com/software.html

## luxio 7

=== debian/changelog ===
luxio (7-1) unstable; urgency=low

  * New upstream version.
  * debian/control: bumped Standards-Version to 3.9.5. No other
    changes required for this.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 14 Nov 2013 14:18:33 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Daniel Silverstone <dsilvers@debian.org>
 Section: interpreters
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Build-Depends: liblua5.1-dev, lua5.1, liblua5.2-dev, lua5.2,
     debhelper (>= 9.20120909~), pkg-config

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	$(MAKE) \
		CFLAGS="$$(dpkg-buildflags --get CPPFLAGS) $$(dpkg-buildflags --get CFLAGS) -O2 -Wall" \
		LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	PREFIX=/usr dh_auto_install

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_test:
	echo "No test suite."

## luxio 8

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,8 @@
 # This isn't nice.  Find a nice way.
 HOST_OS := $(shell uname -s)
 
-ifeq ($(HOST_OS),Linux)
+ifneq ($(findstring $(HOST_OS),Linux NetBSD GNU/kFreeBSD),)
+  # These operating systems require a seperate Real Time library
   EXTRA_LIBS := -lrt
 else
   EXTRA_LIBS :=
@@ -134,10 +135,10 @@
 	$(INSTALL) luxio-5.1 $(DESTDIR)$(PREFIX)/bin/luxio-5.1
 
 luxio-5.1.so: luxio-5.1.o
-	$(CC) $(LDFLAGS) -shared -o luxio-5.1.so $^ $(LUA51_LIB) $(EXTRA_LIBS)
+	$(CC) $(LDFLAGS) -shared $(EXTRA_LIBS) -o luxio-5.1.so $^ $(LUA51_LIB)
 
 luxio-5.1: lua-5.1.c luxio-5.1.o
-	$(CC) -o luxio-5.1 $(CFLAGS) $(LUA51_INC) $(LDFLAGS) lua-5.1.c luxio-5.1.o $(LUA51_LIB) $(EXTRA_LIBS)
+	$(CC) -o luxio-5.1 $(CFLAGS) $(LUA51_INC) $(LDFLAGS) $(EXTRA_LIBS) lua-5.1.c luxio-5.1.o $(LUA51_LIB)
 
 lua-5.2: luxio-5.2.so luxio-5.2
 	ln -s -f luxio-5.2.so luxio.so
@@ -151,10 +152,10 @@
 	$(INSTALL) luxio-5.2 $(DESTDIR)$(PREFIX)/bin/luxio-5.2
 
 luxio-5.2.so: luxio-5.2.o
-	$(CC) $(LDFLAGS) -shared -o luxio-5.2.so $^ $(LUA52_LIB) $(EXTRA_LIBS)
+	$(CC) $(LDFLAGS) -shared $(EXTRA_LIBS) -o luxio-5.2.so $^ $(LUA52_LIB)
 
 luxio-5.2: lua-5.2.c luxio-5.2.o
-	$(CC) -o luxio-5.2 $(CFLAGS) $(LDFLAGS) $(LUA52_INC) lua-5.2.c luxio-5.2.o $(LUA52_LIB) $(EXTRA_LIBS)
+	$(CC) -o luxio-5.2 $(CFLAGS) $(LDFLAGS) $(EXTRA_LIBS) $(LUA52_INC) lua-5.2.c luxio-5.2.o $(LUA52_LIB)
 
 ###

=== debian/changelog ===
luxio (8-1ubuntu1) vivid; urgency=medium

  * debian/patches/linking-order.patch: Change linking order to fix FTBFS with
    ld --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 06 Dec 2014 01:19:46 -0500

luxio (8-1) unstable; urgency=low

  * New upstream version.
  * Do not install binaries.

 -- Lars Wirzenius <liw@liw.fi>  Fri, 31 Jan 2014 16:10:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: luxio
-Maintainer: Lars Wirzenius <liw@liw.fi>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lars Wirzenius <liw@liw.fi>
 Uploaders: Daniel Silverstone <dsilvers@debian.org>
 Section: interpreters
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 override_dh_auto_install:
 	PREFIX=/usr dh_auto_install
+	rm -r debian/lua-luxio0/usr/bin
 
 override_dh_auto_clean:
 	$(MAKE) clean

## luxio 12

=== Makefile ===
--- 
+++ 
@@ -118,9 +118,9 @@
 
 
 clean:
-	$(RM) *.so *.o luxio_constants.h luxio-5.1 luxio-5.2
+	$(RM) *.so *.o luxio_constants.inc luxio-5.1 luxio-5.2
 
-luxio_constants.h: luxio_constants.h.in const-proc.lua
+luxio_constants.inc: luxio_constants.inc.in const-proc.lua
 	$(LUA_REPL) ./const-proc.lua < $^ > $@
 
 lua-5.1: luxio-5.1.so luxio-5.1
@@ -159,8 +159,8 @@
 
 ###
 
-luxio-5.1.o: luxio.c luxio_constants.h 
+luxio-5.1.o: luxio.c luxio_constants.inc
 	$(CC) $(CFLAGS) -fPIC $(LUA51_INC) -c $< -o $@
 
-luxio-5.2.o: luxio.c luxio_constants.h
+luxio-5.2.o: luxio.c luxio_constants.inc
 	$(CC) $(CFLAGS) -fPIC $(LUA52_INC) -c $< -o $@

=== debian/changelog ===
luxio (12-1) unstable; urgency=medium

  * New upstream release
  * Include lua:Versions and lua:Provides in control file

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Sat, 05 Nov 2016 16:38:49 +0000

luxio (11-1) unstable; urgency=medium

  * New upstream version
  * Add a missing comma to control which wasn't highlighted before.
  * Set Multi-Arch fields in lua-luxio and lua-luxio-doc
  * Added watch file for uscan too

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Wed, 28 Sep 2016 09:25:15 +0100

luxio (10-1) unstable; urgency=medium

  * New upstream version.
  * Confirmed that ubuntu builds are good now with dh-lua, thus not
    needing a Makefile change.  (Closes: #773090)
  * Used `--date $(SOURCE_DATE_EPOCH)` when invoking ldoc to help
    with reproducibility
  * Updated standards version and added ${misc:Depends} to everything
    just in case.
  * Moved Homepage to Source stanza in debian/control
  * Update debian/compat to 9 in line with Jessie
  * Added use of getconf LFS_{C,LD}FLAGS just in case.

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Tue, 27 Sep 2016 15:44:53 +0100

luxio (9-1) unstable; urgency=medium

  * New upstream version.
  * Adopted package, thanks to Lars Wirzenius for his excellent
    stewardship up to now.
  * Converted packaging to use dh-lua, adding lua 5.3 compatibility
  * Fixed up missing copyright information

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Fri, 23 Sep 2016 19:05:19 +0100

luxio (8-2) UNRELEASED; urgency=low

  * Added Rob Kendrick as an uploader.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 08 Feb 2014 21:31:17 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_build:
	make luxio_constants.inc
	dh_auto_build
	ldoc --date $(SOURCE_DATE_EPOCH) .

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r doc luxio_constants.inc

## luxio 13

=== Makefile ===
PREFIX ?= /usr
CP := cp -r
RM := rm -rf

.PHONY: all
all: lua-5.1-try lua-5.2-try

include findlua.mk

.PHONY: install
install: lua-5.1-try-install lua-5.2-try-install

.PHONY: install-doc
install-doc: doc
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/doc/luxio
	$(CP) doc/* $(DESTDIR)$(PREFIX)/share/doc/luxio

.PHONY: doc
doc:
	ldoc .

CFLAGS ?= -O2 -Wall
INSTALL := /usr/bin/install

LUALIBS := $(patsubst %,luxio/%.lua, event simple subprocess)

.PHONY: clean
clean:
	$(RM) *.so *.o luxio_constants.inc luxio-5.1 luxio-5.2 doc

luxio_constants.inc: luxio_constants.inc.in const-proc.lua
	$(LUA_REPL) ./const-proc.lua < $^ > $@

.PHONY: lua-5.1
lua-5.1: luxio-5.1.so luxio-5.1
	ln -s -f luxio-5.1.so luxio.so

LUA_BINDIR ?= $(DESTDIR)$(PREFIX)/bin

.PHONY: lua-5.1-install
lua-5.1-install: INST_LIBDIR ?= $(DESTDIR)$(LUA51_CMOD_INST)
lua-5.1-install: INST_LUADIR ?= $(DESTDIR)$(LUA51_LMOD_INST)
lua-5.1-install: lua-5.1
	$(INSTALL) -d $(INST_LIBDIR)
	$(INSTALL) -m 755 luxio-5.1.so $(INST_LIBDIR)/luxio.so
	$(INSTALL) -d $(INST_LUADIR)/luxio
	$(INSTALL) -m 644 $(LUALIBS) $(INST_LUADIR)/luxio/
	$(INSTALL) -d $(LUA_BINDIR)
	$(INSTALL) luxio-5.1 $(LUA_BINDIR)/luxio-5.1

luxio-5.1.so: luxio-5.1.o
	$(CC) $(LDFLAGS) -shared $(EXTRA_LIBS) -o luxio-5.1.so $^

luxio-5.1: lua-5.1.c luxio-5.1.o
	$(CC) -o luxio-5.1 $(CFLAGS) $(LUA51_INC) $(LDFLAGS) $(EXTRA_LIBS) lua-5.1.c luxio-5.1.o $(LUA51_LIB)

.PHONY: lua-5.2
lua-5.2: luxio-5.2.so luxio-5.2
	ln -s -f luxio-5.2.so luxio.so

.PHONY: lua-5.2-install
lua-5.2-install: INST_LIBDIR ?= $(DESTDIR)$(LUA52_CMOD_INST)
lua-5.2-install: INST_LUADIR ?= $(DESTDIR)$(LUA52_LMOD_INST)
lua-5.2-install: lua-5.2
	$(INSTALL) -d $(INST_LIBDIR)
	$(INSTALL) -m 755 luxio-5.2.so $(INST_LIBDIR)/luxio.so
	$(INSTALL) -d $(INST_LUADIR)/luxio
	$(INSTALL) -m 644 $(LUALIBS) $(INST_LUADIR)/luxio/
	$(INSTALL) -d $(LUA_BINDIR)
	$(INSTALL) luxio-5.2 $(LUA_BINDIR)/luxio-5.2

luxio-5.2.so: luxio-5.2.o
	$(CC) $(LDFLAGS) -shared $(EXTRA_LIBS) -o luxio-5.2.so $^

luxio-5.2: lua-5.2.c luxio-5.2.o
	$(CC) -o luxio-5.2 $(CFLAGS) $(LDFLAGS) $(EXTRA_LIBS) $(LUA52_INC) lua-5.2.c luxio-5.2.o $(LUA52_LIB)

###

luxio-5.1.o: luxio.c luxio_constants.inc
	$(CC) $(CFLAGS) -fPIC $(LUA51_INC) -c $< -o $@

luxio-5.2.o: luxio.c luxio_constants.inc
	$(CC) $(CFLAGS) -fPIC $(LUA52_INC) -c $< -o $@

=== debian/changelog ===
luxio (13-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Wed, 02 Aug 2017 16:02:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,31 @@
 Source: luxio
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lars Wirzenius <liw@liw.fi>
-Uploaders: Daniel Silverstone <dsilvers@debian.org>
+Maintainer: Daniel Silverstone <dsilvers@digital-scurf.org>
+Uploaders: Rob Kendrick <rjek@rjek.com>
 Section: interpreters
 Priority: optional
-Standards-Version: 3.9.5
-Build-Depends: liblua5.1-dev, lua5.1, liblua5.2-dev, lua5.2,
-    debhelper (>= 9.20120909~), pkg-config
+Standards-Version: 3.9.8
+Build-Depends: dh-lua, debhelper (>= 9.20120909~), lua-ldoc, lua-discount
+Homepage: https://git.gitano.org.uk/luxio.git/
 
 Package: lua-luxio0
+Architecture: all
+Depends: lua-luxio, ${misc:Depends}
+Section: oldlibs
+Priority: extra
+Description: Posix bindings for Lua (transitional package)
+ Lightweight UNIX I/O and POSIX binding for Lua
+ .
+ This is a transitional package as the full content has been moved to the
+ lua-luxio package.
+
+Package: lua-luxio
+Provides: lua-luxio0, ${lua:Provides}
+Breaks: lua-luxio0 (<<9 )
+Replaces: lua-luxio0 (<< 9)
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+XB-Lua-Versions: ${lua:Versions}
 Description: Posix bindings for Lua
  Lightweight UNIX I/O and POSIX binding for Lua
  .
@@ -26,4 +41,26 @@
   * Sub-process handling library (read/write io.popen with job control).
   * A prototype POSIX Message Queue-based IPC scheme that can serialise
     most simple Lua values.  (No closures, userdata, etc)
-Homepage: http://www.rjek.com/software.html
+
+Package: lua-luxio-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: Documentation for lua-luxio
+ Lightweight UNIX I/O and POSIX binding for Lua
+ .
+  * Reasonably good coverage of POSIX and BSD Sockets, including IPv6,
+    and some GNU extensions.
+  * Low-level.  You get the return values and the errno for the bound
+    functions where possible.  Others take a table to fill in, or
+    may return tables.
+  * High-level wrapper library providing nice IO access and to misc.
+    utility functions.  Generates useful errors in assert()able form,
+    and provides meaningful __tostring metamethods to aid debugging.
+  * A high-level poll()-based event dispatch library.
+  * Sub-process handling library (read/write io.popen with job control).
+  * A prototype POSIX Message Queue-based IPC scheme that can serialise
+    most simple Lua values.  (No closures, userdata, etc)
+ .
+ This package contains the documentation on how to use the Lua Luxio library.

=== debian/watch ===
version=3
https://git.gitano.org.uk/luxio.git /luxio\.git/snapshot/luxio-(.+)\.tar.bz2
